#
# spec file for package strace (Version 4.5.16)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

Name:           strace
BuildRequires:  libacl-devel
License:        BSD 3-Clause
Group:          Development/Tools/Debuggers
Autoreqprov:    on
Version:        4.5.16
Release:        1
Summary:        A utility to trace the system calls of a program
Source:         strace-%{version}.tar.bz2
Patch:          strace-%{version}.diff
Patch1:         warn.patch
Patch3:         syscalls.diff
Patch4:         strace-sysinfo.diff
Patch5:         strace-graph.diff
Patch6:         ioctl.diff
Patch8:         ptrace.diff
URL:            http://sourceforge.net/projects/strace/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
With strace, you can trace the activity of a program.  Information
about any system calls the program makes and the signals it receives
and processes can be seen.  Child processes can also be tracked.



Authors:
--------
    Paul Kranenburg  <pk@cs.few.eur.nl>
    Branko Lankester <branko@hacktic.nl>
    Rick Sladkey <rs@world.std.com>

%prep
%setup -q
%patch
%patch1
%patch3
%patch4
%patch5
%patch6
%patch8

%build
export CFLAGS="$RPM_OPT_FLAGS"
%ifarch alpha
CFLAGS="$CFLAGS -ffixed-8"
%endif
./configure --prefix=%{_prefix} --mandir=%{_mandir}
make

%install
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README README-linux NEWS
%{_prefix}/bin/strace
%{_prefix}/bin/strace-graph
%doc %{_mandir}/man1/strace.1.gz

%changelog
* Fri Aug 03 2007 - schwab@suse.de
- Update to strace 4.5.16.
  * Bug fixes.
  * Improved output for delete_module, futex, and mbind system calls on Linux.
  * Improved output for SG_IO ioctls on Linux.
  * Support new Linux system calls move_pages, utimensat, signalfd, timerfd,
  eventfd, getcpu, epoll_pwait.
* Wed Apr 18 2007 - schwab@suse.de
- Decode more ptrace options.
* Fri Mar 16 2007 - schwab@suse.de
- Remove obsolete patch.
* Wed Jan 17 2007 - schwab@suse.de
- Update to strace 4.5.15.
  * Bug fixes.
  * Several biarch improvements.
  * Improved output for adjtimex, sysctl, quotactl, mount, umount.
  * Support new Linux system calls *at, inotify*, pselect6, ppoll and unshare.
* Mon Oct 09 2006 - schwab@suse.de
- Fix compilation with 2.6.18 kernel headers.
* Fri Sep 29 2006 - schwab@suse.de
- Fix use of PT_GETSIGINFO.
* Fri Sep 08 2006 - schwab@suse.de
- Fix last change.
* Thu Sep 07 2006 - schwab@suse.de
- Add fixes from repository.
* Wed May 31 2006 - schwab@suse.de
- Fix missing arguments.
* Sat Apr 29 2006 - schwab@suse.de
- Add *at syscalls on ppc.
* Thu Apr 27 2006 - schwab@suse.de
- Fix socket/ipc subcall decoding.
- Fix ioctl decoding.
* Wed Apr 05 2006 - schwab@suse.de
- Fix last change so it doesn't break ia64.
- Add all other missing syscalls.
* Fri Mar 31 2006 - bk@suse.de
- add parsing for the 13 *at syscalls and pselect6(i386 and x86_84)
* Sat Mar 04 2006 - schwab@suse.de
- Update to strace 4.5.14 (numerous bug fixes, required to support new
  kernel features).
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Nov 07 2005 - schwab@suse.de
- Follow all fork-like syscalls in strace-graph.
* Mon Oct 31 2005 - od@suse.de
- add struct sysinfo member mem_unit for linux >= 2.3.48
* Fri Oct 28 2005 - dmueller@suse.de
- actually add inotify support
* Thu Oct 13 2005 - schwab@suse.de
- Add more syscall entries.
* Fri Oct 07 2005 - schwab@suse.de
- Fix decoding of IPC syscalls.
* Thu Jul 21 2005 - schwab@suse.de
- Update quota patch.
* Wed Jun 22 2005 - schwab@suse.de
- Fix decoding of gettid.
* Mon Jun 20 2005 - schwab@suse.de
- Update to strace 4.5.12.
* Wed Mar 30 2005 - schwab@suse.de
- Update to strace 4.5.11.
* Wed Mar 16 2005 - schwab@suse.de
- Update to strace 4.5.10.
* Mon Feb 28 2005 - schwab@suse.de
- Fix getrval2 on ia64.
* Fri Feb 04 2005 - schwab@suse.de
- Update to strace 4.5.9.
* Sat Jan 22 2005 - schwab@suse.de
- Fix getsockopt decoding.
* Tue Dec 07 2004 - uli@suse.de
- added -i support on s390*
* Fri Nov 12 2004 - schwab@suse.de
- Update to strace 4.5.8.
* Tue Aug 31 2004 - schwab@suse.de
- Update to strace 4.5.7.
* Mon Jul 12 2004 - schwab@suse.de
- Update to strace 4.5.6.
* Mon Jun 28 2004 - schwab@suse.de
- Update to strace 4.5.5.
* Sat Jun 05 2004 - schwab@suse.de
- Update to strace 4.5.4.
* Wed May 05 2004 - schwab@suse.de
- Fix handing of execve [#38479].
* Sat Apr 17 2004 - schwab@suse.de
- Update to strace 4.5.3.
* Mon Apr 05 2004 - schwab@suse.de
- Sign extend pid in sys_kill [#38433].
* Mon Mar 08 2004 - schwab@suse.de
- Update to strace 4.5.2, incorporates all recent changes.
* Thu Feb 26 2004 - schwab@suse.de
- Update from CVS.
- Fix decoding of pipe syscall.
* Thu Jan 15 2004 - schwab@suse.de
- Fix use of kernel headers.
* Wed Nov 26 2003 - schwab@suse.de
- Update to strace 4.5.1.
* Tue Oct 07 2003 - schwab@suse.de
- Fix building with new kernel headers.
* Thu Sep 25 2003 - schwab@suse.de
- Update to strace 4.5.
* Tue Aug 05 2003 - ro@suse.de
- fix compile with new quota include header
* Wed Jun 11 2003 - schwab@suse.de
- Update to strace 4.4.98.
* Sat May 10 2003 - schwab@suse.de
- Fix modify_ldt_ldt_s -> user_desc.
* Fri May 09 2003 - schwab@suse.de
- Fix building with new kernel headers.
* Wed Apr 02 2003 - schwab@suse.de
- Update to 4.4.94.
* Mon Jan 20 2003 - schwab@suse.de
- Update to 4.4.92.
* Mon Nov 18 2002 - ro@suse.de
- fix build with latest autoconf
* Thu Nov 07 2002 - schwab@suse.de
- Fix ia64 aio syscalls.
* Tue Nov 05 2002 - schwab@suse.de
- Last change extended to s390/s390x.
* Wed Oct 23 2002 - schwab@suse.de
- Basic support for aio syscalls.
* Tue Oct 08 2002 - froh@suse.de
- s390/s390x: add fix for obscure problem in the inner workings of
  strace, symptom was SIGSEGV on e.g. 'strace getfacl .' (#20447)
* Thu Sep 26 2002 - schwab@suse.de
- Add support for xattr syscalls [#18051].
- Update ia64 patch.
* Thu Sep 19 2002 - mludvig@suse.cz
- fixed old_mmap argument printing on x86-64
* Tue Sep 17 2002 - ro@suse.de
- removed bogus self-provides
* Thu Sep 12 2002 - meissner@suse.de
- Added ppc64 support.
* Thu Sep 12 2002 - uli@suse.de
- added x86-64 biarch support by mludvig as reqd. by aj
* Mon Aug 12 2002 - schwab@suse.de
- Add fixes for s390/s390x.
* Mon Jun 24 2002 - schwab@suse.de
- Fix ioctl decoding on ppc.
* Tue Apr 23 2002 - schwab@suse.de
- Fix ipc syscall decoding for architectures not using the ipc dispatcher.
* Mon Apr 22 2002 - schwab@suse.de
- Cleanup x86-64 patch.
- Use autoreconf.
* Mon Apr 22 2002 - sf@suse.de
- added support for x86-64 (by ak@suse.de)
- added %%{suse_update_config}
* Mon Mar 04 2002 - schwab@suse.de
- Fix displaying of terminal ioctls [#14396].
* Wed Nov 21 2001 - schwab@suse.de
- Run autoconf to get up-to-date configure script.
* Fri Nov 09 2001 - schwab@suse.de
- Don't use <linux/module.h>.
* Mon Aug 20 2001 - schwab@suse.de
- Fix configuration for s390.
* Mon Aug 20 2001 - schwab@suse.de
- Update to strace 4.4.
* Tue Jul 31 2001 - schwab@suse.de
- Fix tracing after execve for ia64.
* Tue Jun 12 2001 - schwab@suse.de
- Fix for ppc and sparc.
* Fri Jun 08 2001 - schwab@suse.de
- Update to strace 4.3.
* Mon May 14 2001 - bk@suse.de
- fix long shifts to create long long logs for llseek, pread and pwrite.
  (for 2147483748[2GB+100], strace logged 18446744071562068068 which is wrong)
* Wed Mar 07 2001 - schwab@suse.de
- Update IA64 patch.
* Wed Feb 14 2001 - ro@suse.de
- include time.h to fix compilation
* Thu Jan 04 2001 - stepan@suse.de
- changed specfile to build cleanly on alphas
* Wed Dec 06 2000 - schwab@suse.de
- Don't include <asm/sigcontext.h> on ia64.
- Implement {,f,l}stat on ia64.
* Mon Nov 13 2000 - ro@suse.de
- hacked to compile on 2.4 includes
* Tue Sep 26 2000 - ro@suse.de
- fixed dirent64 clash for all archs
* Mon Sep 18 2000 - schwab@suse.de
- Fix clash with struct dirent64.
* Wed Sep 06 2000 - fober@suse.de
- s390: upgrade to current ibm codedrop for s390
* Mon Aug 14 2000 - schwab@suse.de
- Update ia64 patches.
* Tue Jun 20 2000 - schwab@suse.de
- Update ia64 patches.
* Mon Jun 19 2000 - ro@suse.de
- prevent inclusion of linux/time.h
* Thu May 18 2000 - schwab@suse.de
- Fixed to build with 2.3.99 kernels.
* Wed Apr 12 2000 - kukuk@suse.de
- Fix define for STAT64
* Thu Apr 06 2000 - bk@suse.de
- s390 team added s390 patch
* Tue Mar 28 2000 - schwab@suse.de
- Add ia64 patches.
* Wed Mar 22 2000 - kukuk@suse.de
- Update to 4.2
- Fixes for SPARC
* Tue Jan 18 2000 - ro@suse.de
- fixed to build with 2.3 kernels
- man -> /usr/share/man
* Thu Dec 09 1999 - schwab@suse.de
- Remove obsolete SNDCTL_TMR_* ioctls that mask termios ioctls
- Remove obsolete strerror and strsignal changes
- Fix #if syntax
* Sun Dec 05 1999 - kasal@suse.de
- upgraded to strace-4.1
* Fri Dec 03 1999 - kasal@suse.de
- get rid of Makefile.Linux
- fixed some headers for sparc & 2.3.x kernel
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Sep 09 1999 - uli@suse.de
- fixed for PPC
* Fri Aug 27 1999 - ro@suse.de
- adapt to sysctl-changes
* Fri Jul 09 1999 - ro@suse.de
- update to 4.0 using jurix diff
* Tue Apr 13 1999 - ro@suse.de
- update 3.1.0.1 / merge patches
* Mon Apr 12 1999 - ro@suse.de
- fixed for alpha
* Wed Mar 31 1999 - ro@suse.de
- merged path from Stanislav Brabec and Massimiliano Ghilardi
* Tue Mar 09 1999 - ro@suse.de
- back to SYS_vfork
* Thu Jan 14 1999 - ro@suse.de
- changed "ifdef SYS_vfork" to "ifdef __NR_vfork"
* Mon Jan 11 1999 - ro@suse.de
- alpha-patches file.c: comment #if alpha
  sock.c: include ioctls for alpha
  term.c: include termio on alpha as well
* Mon Nov 16 1998 - ro@suse.de
- system.c: include sys/mount.h instead of linux/fs.h for glibc
* Wed Sep 30 1998 - ro@suse.de
- if glibc: include sys/reg and linux/ptrace where needed
* Fri Jul 24 1998 - bs@suse.de
- fixed configure for i686.
* Tue Feb 17 1998 - ro@suse.de
- diabled PRCTL in config.h.in (not with 2.0 kernel)
* Wed Apr 30 1997 - florian@suse.de
- add bug-fixes for llseek
